# -*- coding: utf-8 -*-
"""IllumCorr.

This file is automatically generated. Do not modify!
"""

from micado.main.StaticTable import StaticTable, persistent
from micado.recipes.McdImgIllum import McdImgIllum
from micado.dataitems.DetrendIllum import DetrendIllum
from micado.dataitems.PhotomRef import PhotomRef
from micado.requirements.DPSillumcorr import DPSillumcorr
from micado.dataitems.IllumCorrQC import IllumCorrQC
from micado.dataitems.IllumCorrExtension import IllumCorrExtension


class IllumCorr(StaticTable):
    """IllumCorr.

    Table with the coefficients of the polynomial describing the large-scale
    variation in the illumination by the flatfield lamp, and gain (e-/ADU),
    which is a single number per detector.
    """

    dummy_illumcorr = persistent("dummy [][None]", int, 42)

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "")

    iccoef00 = persistent("Coefficient [][None]", int, 0)

    iccoef10 = persistent("Coefficient [][None]", int, 0)

    iccoef11 = persistent("Coefficient [][None]", int, 0)

    iccoef20 = persistent("Coefficient [][None]", int, 0)

    iccoef21 = persistent("Coefficient [][None]", int, 0)

    iccoef22 = persistent("Coefficient [][None]", int, 0)

    iccoef30 = persistent("Coefficient [][None]", int, 0)

    iccoef31 = persistent("Coefficient [][None]", int, 0)

    iccoef32 = persistent("Coefficient [][None]", int, 0)

    iccoef33 = persistent("Coefficient [][None]", int, 0)

    iccoef40 = persistent("Coefficient [][None]", int, 0)

    iccoef41 = persistent("Coefficient [][None]", int, 0)

    iccoef42 = persistent("Coefficient [][None]", int, 0)

    iccoef43 = persistent("Coefficient [][None]", int, 0)

    iccoef44 = persistent("Coefficient [][None]", int, 0)

    recipe = persistent("The recipe [][None]", McdImgIllum, None)

    detrends = persistent("Detrends [][None]", DetrendIllum, [])

    photomref = persistent("Photometric reference catalog [][None]", PhotomRef, None)

    requirement = persistent("None [][None]", DPSillumcorr, None)

    qc = persistent("Quality Control parameters [][None]", IllumCorrQC, None)

    extensions = persistent("IllumCorrExtension [][None]", IllumCorrExtension, [])
