# -*- coding: utf-8 -*-
"""PhotomBase.

This file is automatically generated. Do not modify!
"""

from micado.main.Tab import Tab, persistent
from micado.recipes.McdImgPhotom import McdImgPhotom
from micado.dataitems.DetrendFinalBase import DetrendFinalBase
from micado.dataitems.Astrom import Astrom
from micado.dataitems.PhotomRef import PhotomRef
from micado.requirements.DPSphotomstandardfield import DPSphotomstandardfield
from micado.dataitems.PhotomQC import PhotomQC
from micado.dataitems.PhotomExtension import PhotomExtension


class PhotomBase(Tab):
    """Zeropoint and extinction coefficient, one pair per detector."""

    dummy_photombase = persistent("dummy [][None]", int, 42)

    det_dit = persistent(
        "Detector integration time (average when NDIT > 1) [DET DIT][s]", float, 1.0
    )

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "")

    mjdobs = persistent(
        "Modified Julian Day of the start of the exposure. The MJD is related "
        "to the Julian Day (JD) via the formula: MJD = JD-2400000.5 The comment"
        " includes a civil representation of the date and time. 8 decimals are "
        "required for a precision of one millisecond, 5 decimals for a "
        "precision of one second. [MJD-OBS][]",
        float,
        0.0,
    )

    tpl__start = persistent("Start time of template [TPL START][None]", float, 0.0)

    recipe = persistent("The recipe [][None]", McdImgPhotom, None)

    detrend = persistent("Detrended image [][None]", DetrendFinalBase, None)

    astrom = persistent("Astrometric Solution [][None]", Astrom, None)

    photomref = persistent("Photometric Reference [][None]", PhotomRef, None)

    requirement = persistent("None [][None]", DPSphotomstandardfield, None)

    qc = persistent("Quality Control parameters [][None]", PhotomQC, None)

    extensions = persistent("None [][None]", PhotomExtension, [])
