# -*- coding: utf-8 -*-
"""Surface.

This file is automatically generated. Do not modify!
"""

from micado.main.Effect import Effect, persistent
from micado.hardware.TERCurve import TERCurve, default_tercurve


class Surface(Effect):
    """Surface."""

    dummy_surface = persistent("dummy [][None]", int, 42)

    name = persistent("Name of the surface [SUR NAME][None]", str, "")

    outer = persistent("Outer diameter of the surface. [SUR OUTER][m]", float, 0.2)

    inner = persistent("Inner diameter of the surface. [SUR INNER][m]", float, 0.0)

    angle = persistent("Angle diameter of the surface. [SUR ANGLE][degree]", float, 0.0)

    temperature = persistent(
        "Temperature of the surface. [SUR TEMPERAT][C]", float, -190.0
    )

    realfilename = persistent("filename [][None]", str, "")

    tercurve = persistent(
        "Transmission curve of surface. [][None]", TERCurve, default_tercurve
    )


default_surface = Surface(
    name="",
    outer=0.2,
    inner=0.0,
    angle=0.0,
    temperature=-190.0,
    realfilename="",
    tercurve=default_tercurve,
)
