# -*- coding: utf-8 -*-
"""Tests for ObservingBlock.py."""

from collections import OrderedDict
from pathlib import Path

from micado.templates.MicadoImgCalDark import MicadoImgCalDark
from micado.toolbox.obx_from_python import create_dark_ob

PATH_HERE = Path(__file__).resolve().parent


def test_ob_keywords():
    """Test whether keywords are properly done for OBs."""
    dark_ob = create_dark_ob()

    keywords_actual = dark_ob.fits_keywords

    keywords_desired = OrderedDict(
        [
            ("HIERARCH WISE OBS NAME", "MyDarkTest"),
            ("HIERARCH WISE OBS TARGET", "empty_sky"),
            ("HIERARCH WISE OBS INSTRUME", "MICADO"),
        ]
    )

    assert dict(keywords_actual) == dict(keywords_desired)


def test_obx():
    """Test OBX creation."""
    dark_ob = create_dark_ob()
    s_generated = dark_ob.obx
    s_expected = open(PATH_HERE / f"{MicadoImgCalDark.name_eso()}.obx").read()
    assert s_generated.strip() == s_expected.strip()
